# textBrowser class Provides a class that can display html pages.
Inherits
widget
Description
Provides a class that can display html pages with hypertext navigation.
Functions
`$setSource(<file_name:string>)`
With this you can display the page at szFile location (szFile include the path).
`$backward()`
Changes the document displayed to the previous document in the list of documents built by navigating links.
`$forward()`
Changes the document displayed to the next document in the list of documents built by navigating links.
`$home()`
Changes the document displayed to be the first document the browser displayed.
`$reload()`
Reloads the current set source.
`$linkClickedEvent(<link_href:string>)`
Triggered when a link is clicked by the user. The default implementation of this function emits the "linkClicked" signal.
Signals
`$linkClicked(<link_href:string>)`
This signal is emitted by the default implementation of the $linkClickedEvent() function.

Index, Object Classes

KVIrc 4.2.0.6190 Documentation
Generated by nobody at Mon May 20 10:11:32 2013